#!/bin/bash
SRC=$1
DEST=$2

SRC_GROUPS=`id -Gn ${SRC}`
SRC_SHELL=$(awk -F : -v name=${SRC} '(name == $1) { print $7 }' /etc/passwd)
RAND_PW=`date +%s | sha256sum | base64 | head -c 32 ; echo`

echo "Creating user $DEST"
useradd --shell ${SRC_SHELL} --password ${RAND_PW} --create-home ${DEST}
for grp in ${SRC_GROUPS};do
        if [ "$grp" != "$SRC" ]; then
                echo "Adding user $DEST to group $grp."
                usermod -a -G $grp ${DEST}
        fi
done



